﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private pnlPanel As Pane
	Private OldWidth As Double 
	
	Private btnAdd As Button
	Private btnEdit As Button
	Private btnPrint As Button
	Private btnExit As Button
	
	' sql lite database
	Dim SqlLite As SQL
	Private tblTable As DatTable
	
	
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("Main")
	
	' initialisation of SqlLite db
	If File.Exists(File.DirApp, "Temp.db") = False Then File.Copy(File.DirAssets, "Temp.db", File.DirApp, "Temp.db")
	SqlLite.InitializeSQLite(File.DirApp, "Temp.db", False)
	
	' filling of grid 
	InitGrid
	
End Sub

Private Sub InitGrid
	
	' definition of table name 
	tblTable.TableName = "DatGrid-1"
	' table owner 
	tblTable.Owner = B4XPages.GetNativeParent(Me)
	
	Dim col1 As B4XTableColumn = tblTable.AddColumn("CityName", tblTable.COLUMN_TYPE_TEXT)
	Dim col2 As B4XTableColumn = tblTable.AddColumn("Country", tblTable.COLUMN_TYPE_TEXT)
	Dim col3 As B4XTableColumn = tblTable.AddColumn("Population", tblTable.COLUMN_TYPE_NUMBERS)
	Dim col4 As B4XTableColumn = tblTable.AddColumn("Latitude", tblTable.COLUMN_TYPE_NUMBERS)
	Dim col5 As B4XTableColumn= tblTable.AddColumn("Longitude", tblTable.COLUMN_TYPE_NUMBERS)

	col1.Width = 150dip
	col2.Width = 180dip
	col3.Width = 80dip
	col4.Width = 50dip
	col5.Width = 50dip

	Dim Query As String = $"select CityASCII as name,
							       CityIso2 as country,
							       cast(CityPopulation as integer) as people,
							       CityLat as latitude,
							       CityLng as longitude 
							from Citys
							order by people desc;"$
	Dim rs As ResultSet = SqlLite.ExecQuery(Query)

	Dim data As List
	data.Initialize
	Do While rs.NextRow
		data.Add(Array(rs.GetString("name"), rs.GetString("country"), rs.GetInt("people"), rs.GetDouble("latitude"), rs.GetDouble("longitude")))
	Loop
	rs.Close
	tblTable.SetData(data)
	' show table 
	tblTable.ShowTable
	OldWidth = tblTable.mBase.Width
	
End Sub

' Panel resizing 
Private Sub pnlPanel_Resize (Width As Double, Height As Double)
	If Width <> OldWidth Then 
		ResizeTable(tblTable, tblTable.mBase.Width / OldWidth)
		OldWidth = Width
	End If
End Sub

' RESIZE table 
Private Sub ResizeTable(tbl As DatTable, Razlika As Double) 
	For Each col As B4XTableColumn In tbl.Columns
		col.Width = col.Width * Razlika
	Next
End Sub


' exit application 
Private Sub btnExit_Click
	ExitApplication2(1)
End Sub

